tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: SUPERSEDES and pkg_add

2009/10/29 OBATA Akio <>:
> Hi!
> Is there a chance that pkg_add uses SUPERSEDES?
> (and now, who uses SUPRESEDES?)
> ex.
>  p5-XML-LibXML-1.69 and p5-XML-LibXML-Common-0.13nb7 are installed,
>  p5-XML-LibXML-1.70 is SUPERSEDES=p5-XML-LibXML-Common<=0.13nb7,
>  then
>   pkg_add -u p5-XML-LibXML-1.70
>  replace both p5-XML-LibXML-1.69 and p5-XML-LibXML-Common-0.13nb7.

If I understood that correctly, pkg_rr should recognize this and replace
p5-XML-LibXML-1.69 and p5-XML-LibXML-Common-0.13nb7 using p5-XML-LibXML-1.70.
That worked for me on NetBSD and failed on FreeBSD and OpenSolaris.
I don't know whether pkgin of pkg_add -u supports this.

So I'm not sure, but I was told ;-) to use this.


Home | Main Index | Thread Index | Old Index